Documentation Index
Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Silent mode installation allows Anaconda Distribution or Miniconda to be installed automatically without user interaction, making it ideal for automated deployments, enterprise environments, or when installing across multiple machines. When launching the installer in silent mode, you can supply the installation arguments detailed below through your command line interface (CLI) or with a script.
Anaconda Distribution
Miniconda
These command-line instructions will get you set up quickly with the latest Anaconda Distribution installer. Follow the steps for your system to download and silently install Anaconda Distribution:
-
Download the Anaconda Distribution installer manually from anaconda.com/download or use one of the following commands to download the installer with Command Prompt or Powershell:
curl https://repo.anaconda.com/archive/Anaconda3-2025.12-2-Windows-x86_64.exe --output .\Anaconda3-2025.12-2-Windows-x86_64.exe
-
Run the Windows installer for Anaconda Distribution in silent mode by using the
/S argument. The following optional arguments are also supported:
All arguments are case-sensitive.
For example, the following batch file command installs Anaconda Distribution for the current user without registering Python as the system’s default:
start /wait "" Anaconda3-2025.12-2-Windows-x86_64.exe /InstallationType=JustMe /RegisterPython=0 /S /D=%UserProfile%Anaconda3
As of Anaconda Distribution 2022.05, the option to add Anaconda to the PATH environment variable during an All Users installation has been disabled. This was done to address a security exploit. You can still add Anaconda to the PATH environment variable during a Just Me installation.
-
Download the Anaconda Distribution installer manually from anaconda.com/download or use one of the following commands to download the installer with the command line:
curl -O https://repo.anaconda.com/archive/Anaconda3-2025.12-2-MacOSX-arm64.sh
curl -O https://repo.anaconda.com/archive/Anaconda3-2025.12-2-Linux-x86_64.sh
curl -O https://repo.anaconda.com/archive/Anaconda3-2025.12-2-Linux-aarch64.sh
-
Run the silent installation for macOS or Linux by specifying the
-b and -p arguments of the bash installer. The following arguments are supported:
For example, the following batch file command installs Anaconda Distribution for the current user without registering Python as the system’s default:
bash ~/Anaconda3-2025.12-2-MacOSX-x86_64.sh -b -p $HOME/anaconda3
The installer will not prompt you for anything, including setup of your shell to activate conda. To add this activation in your current shell session:
source ~/anaconda3/bin/activate
With this activated shell, install conda’s shell functions for easier access in the future:
Using conda init modifies some of your shell configuration files, such as .bash_profile or .zshrc. To test which files conda init is going to modify on your system, run the command with the --dry-run flag.conda init --all --dry-run
Including --dry-run prevents conda from making any actual file updates.
If you’d prefer that conda’s base environment not be activated on startup, set the auto_activate_base parameter to false:
conda config --set auto_activate_base false
These command-line instructions will get you set up quickly with the latest Miniconda installer. Follow the steps for your system to download and silently install Miniconda:
-
Download the Miniconda installer manually from anaconda.com/download or use one of the following commands to download the installer with Command Prompt or Powershell:
curl https://repo.anaconda.com/miniconda/Miniconda3-latest-Windows-x86_64.exe --output .\Miniconda3-latest-Windows-x86_64.exe
-
Run the Windows installer for Miniconda in silent mode by using the
/S argument. The following optional arguments are also supported:
All arguments are case-sensitive.
For example, the following batch file command installs Anaconda Distribution for the current user without registering Python as the system’s default:
start /wait "" Miniconda3-latest-Windows-x86_64.exe /InstallationType=JustMe /RegisterPython=0 /S /D=%UserProfile%Miniconda3
-
Download the Miniconda installer manually from anaconda.com/download or use one of the following commands to download the installer with the command line:
curl -O https://repo.anaconda.com/miniconda/Miniconda3-latest-MacOSX-arm64.sh
curl -O https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh
curl -O https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-aarch64.sh
-
Run the silent installation for macOS or Linux by specifying the
-b and -p arguments of the bash installer. The following arguments are supported:
For example, the following batch file command installs Anaconda Distribution for the current user without registering Python as the system’s default:
bash ~/Miniconda3-latest-MacOSX-x86_64.sh -b -p $HOME/miniconda3
The installer will not prompt you for anything, including setup of your shell to activate conda. To add this activation in your current shell session:
source ~/miniconda3/bin/activate
With this activated shell, install conda’s shell functions for easier access in the future:
Using conda init modifies some of your shell configuration files, such as .bash_profile or .zshrc. To test which files conda init is going to modify on your system, run the command with the --dry-run flag.conda init --all --dry-run
Including --dry-run prevents conda from making any actual file updates.
If you’d prefer that conda’s base environment not be activated on startup, set the auto_activate_base parameter to false:
conda config --set auto_activate_base false
Troubleshooting